aboutsummaryrefslogtreecommitdiff
path: root/ports/zephyr/make-bin-testsuite
diff options
context:
space:
mode:
authorPaul Sokolovsky2017-12-15 12:10:39 +0200
committerPaul Sokolovsky2017-12-15 12:10:39 +0200
commit6b19520a743ddafcdd1881582d4c90a9ea068610 (patch)
tree454cb55fe93f52c5ed9af1e5701dd02cde9c848f /ports/zephyr/make-bin-testsuite
parent103eeffcd925891867916c6f7d23dcbb098c59fe (diff)
zephyr: Add support for binary with builtin testsuite.
If TEST is defined, file it refers to will be used as the testsuite source (should be generated with tools/tinytest-codegen.py). "make-bin-testsuite" script is introduce to build such a binary.
Diffstat (limited to 'ports/zephyr/make-bin-testsuite')
-rwxr-xr-xports/zephyr/make-bin-testsuite20
1 files changed, 20 insertions, 0 deletions
diff --git a/ports/zephyr/make-bin-testsuite b/ports/zephyr/make-bin-testsuite
new file mode 100755
index 000000000..f6aeb83f8
--- /dev/null
+++ b/ports/zephyr/make-bin-testsuite
@@ -0,0 +1,20 @@
+#!/bin/sh
+#
+# This is a wrapper for make to build a binary with builtin testsuite.
+# It should be run just like make (i.e. extra vars can be passed on the
+# command line, etc.), e.g.:
+#
+# ./make-bin-testsuite BOARD=qemu_cortex_m3
+# ./make-bin-testsuite BOARD=qemu_cortex_m3 run
+#
+
+(cd ../../tests; ./run-tests --write-exp)
+(cd ../../tests; ./run-tests --list-tests --target=minimal \
+ -e async -e intbig -e int_big -e builtin_help -e memstats -e bytes_compare3 -e class_reverse_op \
+ -e /set -e frozenset -e complex -e const -e native -e viper \
+ -e 'float_divmod\.' -e float_parse_doubleprec -e float/true_value -e float/types \
+ | ../tools/tinytest-codegen.py --stdin) > bin-testsuite.c
+
+make \
+ CFLAGS_EXTRA='-DMP_CONFIGFILE="<mpconfigport_bin_testsuite.h>" -DTEST=\"bin-testsuite.c\" -DNO_FORKING' \
+ "$@"